@echo off
rem
rem makeegg.bat
rem
if "%2"=="" goto usage
if "%3"=="" goto droptable
set a3=%3
goto begin
:droptable
set a3=one
rem if "%1"=="choice2" set a3=dname
rem if "%1"=="CHOICE2" set a3=dname
:begin
set eggfile=temp.egg
echo [mission]>%eggfile%
echo adventure=BattleTech>>%eggfile%
echo map=%1>>%eggfile%
echo scenario=freeforall>>%eggfile%
echo ; uncomment one time and one weather>>%eggfile%
echo //time=morning>>%eggfile%
echo //time=day>>%eggfile%
echo //time=evening>>%eggfile%
echo time=night>>%eggfile%
echo weather=clear>>%eggfile%
echo //weather=fog>>%eggfile%
echo //weather=soup>>%eggfile%
echo temperature=80>>%eggfile%
echo //length=600>>%eggfile%
echo.>>%eggfile%
echo [pilots]>>%eggfile%
echo pilot=200.0.0.255>>%eggfile%
echo.>>%eggfile%
echo [200.0.0.255]>>%eggfile%
echo hostType=0>>%eggfile%
echo advancedDamage=0>>%eggfile%
echo loadzones=1>>%eggfile%
echo name=Warrior>>%eggfile%
echo bitmapindex=1>>%eggfile%
echo ; uncomment one experience>>%eggfile%
echo experience=novice>>%eggfile%
echo //experience=standard>>%eggfile%
echo //experience=veteran>>%eggfile%
echo //experience=expert>>%eggfile%
echo role=Role::Default>>%eggfile%
rem echo dropzone=%1.%a3%>>%eggfile%
echo dropzone=%a3%>>%eggfile%
echo vehicle=%2>>%eggfile%
echo vehicleValue=0>>%eggfile%
rem echo return=1>>%eggfile%
rem echo collision=0>>%eggfile%
rem echo splash=0>>%eggfile%
rem echo heat=0>>%eggfile%
echo ; uncomment one badge, one patch, and one color>>%eggfile%
echo //badge=Davion>>%eggfile%
echo badge=Kurita>>%eggfile%
echo //badge=Liao>>%eggfile%
echo //badge=Marik>>%eggfile%
echo //badge=None>>%eggfile%
echo //badge=Steiner>>%eggfile%
echo //badge=VGL>>%eggfile%
echo //patch=Black>>%eggfile%
echo //patch=Blue>>%eggfile%
echo //patch=Green>>%eggfile%
echo //patch=Grey>>%eggfile%
echo patch=Red>>%eggfile%
echo //patch=Violet>>%eggfile%
echo //patch=White>>%eggfile%
echo //patch=Yellow>>%eggfile%
echo color=Black>>%eggfile%
echo //color=Brown>>%eggfile%
echo //color=Crimson>>%eggfile%
echo //color=Green>>%eggfile%
echo //color=Grey>>%eggfile%
echo //color=Tan>>%eggfile%
echo //color=White>>%eggfile%
echo.>>%eggfile%
echo [Role::Default]>>%eggfile%
echo model=dfltrole>>%eggfile%
echo dmgInflctdMdfr=100>>%eggfile%
echo dmgRcvdMdfr=100>>%eggfile%
echo dmgBias=100>>%eggfile%
echo friendlyFire=100>>%eggfile%
echo return=2147483647>>%eggfile%
echo supply=0>>%eggfile%
echo.>>%eggfile%
if exist bitmaps.egg type bitmaps.egg>>%eggfile%
echo.
echo '%eggfile%' made for course '%1', vehicle '%2', and dropzone '%a3%'.
echo.
set eggfile=
set a3=
goto end
:usage
echo.
echo usage:  makeegg  course  vehicle  [dropzone]   (no extensions)
echo.
:end
